ru.bitel.bgbilling.modules.cerbercrypt.server.event

## Class GetPacketDatesEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.modules.cerbercrypt.server.event.GetPacketDatesEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    GetClosePacketDatesEvent, GetOpenPacketDatesEvent

      public abstract class GetPacketDatesEvent
      extends LocalEvent

  Синхронное событие получения списка дат с которых можно открыть/закрыть пакеты.
  Родительский класс для двух соответствующих собыйти.
  Унаследован от `LocalEvent`
  Author:
    dimon
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GetPacketDatesEvent()`
    `` | `GetPacketDatesEvent(int userId, int moduleId, int contractId, int userCardId, java.util.Date date)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDate()` Возвращает текущую дату.
    `java.util.List<java.util.Date>` | `getDateList()` Получение списка дат (вызывается биллингом после обработки события).
    `int` | `getUserCardId()` Возвращает ид карты.
    `void` | `setDateList(java.util.List<java.util.Date> dateList)` Установка списка дат.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetPacketDatesEvent

          protected GetPacketDatesEvent()

    - #### GetPacketDatesEvent

          public GetPacketDatesEvent(int userId,
                                     int moduleId,
                                     int contractId,
                                     int userCardId,
                                     java.util.Date date)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `moduleId` - - код модуля
        `contractId` - - код договора
        `userCardId` - - код карты клиента
        `date` - - текущая дата

  - ### Method Detail

    - #### getDateList

          public java.util.List<java.util.Date> getDateList()

      Получение списка дат (вызывается биллингом после обработки события).
      Returns:
        dateList - список дат

    - #### setDateList

          public void setDateList(java.util.List<java.util.Date> dateList)

      Установка списка дат. Будет используется если не NULL. Пустой список означает, что нельзя открыть.
      Parameters:
        `dateList` - - список дат

    - #### getDate

          public java.util.Date getDate()

      Возвращает текущую дату.
      Returns:
        date - дата

    - #### getUserCardId

          public int getUserCardId()

      Возвращает ид карты.
      Returns:
        userCardId - код карты клиента